ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Harp (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-20983) ambari/dev-support/docker build is broken on trunk
Date Wed, 10 May 2017 20:53:04 GMT
Michael Harp created AMBARI-20983:
-------------------------------------

             Summary: ambari/dev-support/docker build is broken on trunk
                 Key: AMBARI-20983
                 URL: https://issues.apache.org/jira/browse/AMBARI-20983
             Project: Ambari
          Issue Type: Bug
    Affects Versions: trunk
            Reporter: Michael Harp
            Assignee: Michael Harp
            Priority: Minor


Several issues need to be fixed to get the container working;
1. Version of maven needs to be updated
2. JDK should be version 7
3. Set bower flag to run as root in container

{code}
docker build -t ambari/build ./dev-support/docker/docker
....
[INFO] Reactor Summary:
[INFO] 
[INFO] Ambari Main ....................................... SUCCESS [4:58.949s]
[INFO] Apache Ambari Project POM ......................... SUCCESS [6.050s]
[INFO] Ambari Web ........................................ FAILURE [15.348s]
[INFO] Ambari Views ...................................... SKIPPED
[INFO] Ambari Admin View ................................. SKIPPED
[INFO] utility ........................................... SKIPPED
[INFO] ambari-metrics .................................... SKIPPED
[INFO] Ambari Metrics Common ............................. SKIPPED
[INFO] Ambari Metrics Hadoop Sink ........................ SKIPPED
[INFO] Ambari Metrics Flume Sink ......................... SKIPPED
[INFO] Ambari Metrics Kafka Sink ......................... SKIPPED
[INFO] Ambari Metrics Storm Sink ......................... SKIPPED
[INFO] Ambari Metrics Storm Sink (Legacy) ................ SKIPPED
[INFO] Ambari Metrics Collector .......................... SKIPPED
[INFO] Ambari Metrics Monitor ............................ SKIPPED
[INFO] Ambari Metrics Grafana ............................ SKIPPED
[INFO] Ambari Metrics Assembly ........................... SKIPPED
[INFO] Ambari Server ..................................... SKIPPED
[INFO] Ambari Functional Tests ........................... SKIPPED
[INFO] Ambari Agent ...................................... SKIPPED
[INFO] Ambari Client ..................................... SKIPPED
[INFO] Ambari Python Client .............................. SKIPPED
[INFO] Ambari Groovy Client .............................. SKIPPED
[INFO] Ambari Shell ...................................... SKIPPED
[INFO] Ambari Python Shell ............................... SKIPPED
[INFO] Ambari Groovy Shell ............................... SKIPPED
[INFO] ambari-logsearch .................................. SKIPPED
[INFO] Ambari Logsearch Appender ......................... SKIPPED
[INFO] Ambari Logsearch Config Api ....................... SKIPPED
[INFO] Ambari Logsearch Config Zookeeper ................. SKIPPED
[INFO] Ambari Logsearch Web .............................. SKIPPED
[INFO] Ambari Logsearch Server ........................... SKIPPED
[INFO] Ambari Logsearch Log Feeder ....................... SKIPPED
[INFO] Ambari Logsearch Assembly ......................... SKIPPED
[INFO] Ambari Logsearch Integration Test ................. SKIPPED
[INFO] ambari-infra ...................................... SKIPPED
[INFO] Ambari Infra Solr Client .......................... SKIPPED
[INFO] Ambari Infra Solr Plugin .......................... SKIPPED
[INFO] Ambari Infra Solr Assembly ........................ SKIPPED
[INFO] Ambari Infra Manager .............................. SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 6:01.681s
[INFO] Finished at: Wed May 10 19:58:42 UTC 2017
[INFO] Final Memory: 21M/225M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:1.4:install-node-and-yarn
(install node and yarn) on project ambari-web: The plugin com.github.eirslett:frontend-maven-plugin:1.4
requires Maven version 3.1.0 -> [Help 1]
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal com.github.eirslett:frontend-maven-plugin:1.4:install-node-and-yarn
(install node and yarn) on project ambari-web: The plugin com.github.eirslett:frontend-maven-plugin:1.4
requires Maven version 3.1.0
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:170)
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
        at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)
        at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)
        at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)
        at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:320)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
        at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
        at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
        at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: org.apache.maven.plugin.PluginIncompatibleException: The plugin com.github.eirslett:frontend-maven-plugin:1.4
requires Maven version 3.1.0
        at org.apache.maven.plugin.internal.DefaultMavenPluginManager.checkRequiredMavenVersion(DefaultMavenPluginManager.java:283)
        at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:166)
        ... 19 more
{code}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message